Mailinglist Archive: opensuse-updates (117 mails)

< Previous Next >
openSUSE-RU-2016:1116-1: moderate: Recommended update for pacemaker
openSUSE Recommended Update: Recommended update for pacemaker
______________________________________________________________________________

Announcement ID: openSUSE-RU-2016:1116-1
Rating: moderate
References: #938545 #942491 #950483 #956459 #961392 #962309
#964183 #967388
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that has 8 recommended fixes can now be installed.

Description:


This update for pacemaker fixes the following issues:

- remote: Simplify calls to accept() and inet_ntop() by using "struct
sockaddr_storage". (bsc#964183)
- remote: Notify other clients of a new connection only if the handshake
has completed. (bsc#967388)
- remote: Correctly display the IP address of the remote client.
(bsc#964183)
- crmd: Prevent use-after-free when an unexpected remote client takes
over. (bsc#964183)
- crmd: Disconnect the relevant remote proxies as well when disconnecting
a remote node. (bsc#964183)
- crmd: Prevent potential use-after-free. (bsc#964183)
- liblrmd: Prevent potential use-after-free issues. (bsc#964183)
- fencing: Correctly track active stonith actions. (bsc#938545)
- fencing: Functionize adding and removing active pids of device.
(bsc#938545)
- crm_shadow: Do not invoke shells with --noprofile option other than
bash. (bsc#961392)
- fencing: Support concurrent fencing actions on each device. (bsc#938545)
- pengine: Support concurrent fencing. (bsc#938545)
- fencing, libfencing: Remap fence agent error codes before async
callback. (bsc#962309)
- stonithd: Do not intermingle stdout & stderr coming from stonith-RAs.
(bsc#962309)
- ping: Clarify the description of host_list parameter in ping metadata.
(bsc#956459)
- pengine: Support of multiple-active=block for resource groups.
(bsc#942491)
- crm_report: Call "crm report" if available. (bsc#950483)

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-495=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libpacemaker-devel-1.1.13-17.1
libpacemaker3-1.1.13-17.1
libpacemaker3-debuginfo-1.1.13-17.1
pacemaker-1.1.13-17.1
pacemaker-cli-1.1.13-17.1
pacemaker-cli-debuginfo-1.1.13-17.1
pacemaker-cts-1.1.13-17.1
pacemaker-cts-debuginfo-1.1.13-17.1
pacemaker-debuginfo-1.1.13-17.1
pacemaker-debugsource-1.1.13-17.1
pacemaker-remote-1.1.13-17.1
pacemaker-remote-debuginfo-1.1.13-17.1


References:

https://bugzilla.suse.com/938545
https://bugzilla.suse.com/942491
https://bugzilla.suse.com/950483
https://bugzilla.suse.com/956459
https://bugzilla.suse.com/961392
https://bugzilla.suse.com/962309
https://bugzilla.suse.com/964183
https://bugzilla.suse.com/967388


< Previous Next >
This Thread
  • No further messages